
CoCoA-5 - Bug #1286

Website: trouble with the world map

23 May 2019 11:46 - John Abbott

Status: Closed Start date: 23 May 2019

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 1.44 hour

Target version: CoCoA-5.3.0 Spent time: 1.40 hour

Description

The world map showing where visitors to the CoCoA website come from causes trouble in "private mode" in Firefox:

the map does not appear (just some placeholder text)

the page tries to load forever

the attempt to load the page BURNS CPU (2 cores max-ed out!)

The last point is totally unacceptable.

Related issues:

Related to CoCoA-5 - Design #1120: Web site Closed 13 Nov 2017

Related to CoCoA-5 - Support #1311: THINGS TO DO IN GENOVA September 2019 Closed 11 Sep 2019

Related to CoCoA-5 - Bug #1396: Website: download page for CoCoA-4 burns CPU Closed 18 Jan 2020

Related to CoCoA-5 - Support #1398: Website: hide/delete all the CoCoA-4 stuff? Closed 21 Jan 2020

History

#1 - 23 May 2019 11:48 - John Abbott

I'm very unhappy about the CPU "burning" (it might well be a Google revenge tactic).

Also after visiting the page once in private mode, it stop working even in non-private mode.

I suggest getting rid of the map: it was "fun", but is not really useful (and may not be GDPR compilant).

#2 - 23 May 2019 11:48 - John Abbott

- Related to Design #1120: Web site added

#3 - 11 Sep 2019 13:41 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

The CPU burning problem continues to exist apparently even without visiting the site in private mode (but I have forgotten to turn VPN off).

I hope we can resolve this while I am in Genoa.

#4 - 11 Sep 2019 13:55 - John Abbott

- Related to Support #1311: THINGS TO DO IN GENOVA September 2019 added

#5 - 24 Sep 2019 14:53 - John Abbott

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 50
Anna has got rid of the CPU burning part.  Still trying to find a decent compromise for when the map cannot be shown.

#6 - 24 Sep 2019 15:03 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

Anna thinks she has found a decent compromise.  Anyway the CPU burning has stopped.

Feedback!

#7 - 27 Sep 2019 17:42 - John Abbott

The result is mostly satisfactory.  Now I see a symbol of "broken image" rather than a thumbnail map.

If I click on the "broken image" icon then the map is shown: left-click > big map, right-click > thumbnail map

This is OK for me.  Maybe I have some "security" setting which prohibits loading images from other sites?

#8 - 18 Jan 2020 19:23 - Anna Maria Bigatti

- Related to Bug #1396: Website: download page for CoCoA-4 burns CPU added

#9 - 13 Feb 2020 15:50 - John Abbott

The problem remains on the main page for CoCoA-4.7.5.

In any case, we are planning to hide/remove these (very old) pages soon.

Anna is trying to fix now...

#10 - 13 Feb 2020 16:09 - John Abbott

- Related to Support #1398: Website: hide/delete all the CoCoA-4 stuff? added

#11 - 14 Feb 2020 17:10 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 1.44 h
